package com.ruoyi.system.domain.dto;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import java.io.Serializable;

public class SnServerLogDto implements Serializable
{
    private static final long serialVersionUID = 1L;
    @Excel(name = "日志ID")
    private Long logId;
    private Long serverId;
    @Excel(name = "服务器IP")
    private String serverIp;
    @Excel(name = "操作名称")
    private String optName;
    @Excel(name = "执行状态")
    private Integer status;
    @Excel(name = "耗时")
    private Long time;
    
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("logId", this.getLogId()).append("serverId", this.getServerId()).append("serverIp", this.getServerIp()).append("optName", this.getOptName()).append("status", this.getStatus()).append("time", this.getTime()).toString();
    }
    
    public Long getLogId() {
        return this.logId;
    }
    
    public Long getServerId() {
        return this.serverId;
    }
    
    public String getServerIp() {
        return this.serverIp;
    }
    
    public String getOptName() {
        return this.optName;
    }
    
    public Integer getStatus() {
        return this.status;
    }
    
    public Long getTime() {
        return this.time;
    }
    
    public void setLogId(final Long logId) {
        this.logId = logId;
    }
    
    public void setServerId(final Long serverId) {
        this.serverId = serverId;
    }
    
    public void setServerIp(final String serverIp) {
        this.serverIp = serverIp;
    }
    
    public void setOptName(final String optName) {
        this.optName = optName;
    }
    
    public void setStatus(final Integer status) {
        this.status = status;
    }
    
    public void setTime(final Long time) {
        this.time = time;
    }
    
    @Override
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof SnServerLogDto)) {
            return false;
        }
        final SnServerLogDto other = (SnServerLogDto)o;
        if (!other.canEqual(this)) {
            return false;
        }
        final Object this$logId = this.getLogId();
        final Object other$logId = other.getLogId();
        Label_0065: {
            if (this$logId == null) {
                if (other$logId == null) {
                    break Label_0065;
                }
            }
            else if (this$logId.equals(other$logId)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$serverId = this.getServerId();
        final Object other$serverId = other.getServerId();
        Label_0102: {
            if (this$serverId == null) {
                if (other$serverId == null) {
                    break Label_0102;
                }
            }
            else if (this$serverId.equals(other$serverId)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        Label_0139: {
            if (this$status == null) {
                if (other$status == null) {
                    break Label_0139;
                }
            }
            else if (this$status.equals(other$status)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$time = this.getTime();
        final Object other$time = other.getTime();
        Label_0176: {
            if (this$time == null) {
                if (other$time == null) {
                    break Label_0176;
                }
            }
            else if (this$time.equals(other$time)) {
                break Label_0176;
            }
            return false;
        }
        final Object this$serverIp = this.getServerIp();
        final Object other$serverIp = other.getServerIp();
        Label_0213: {
            if (this$serverIp == null) {
                if (other$serverIp == null) {
                    break Label_0213;
                }
            }
            else if (this$serverIp.equals(other$serverIp)) {
                break Label_0213;
            }
            return false;
        }
        final Object this$optName = this.getOptName();
        final Object other$optName = other.getOptName();
        if (this$optName == null) {
            if (other$optName == null) {
                return true;
            }
        }
        else if (this$optName.equals(other$optName)) {
            return true;
        }
        return false;
    }
    
    protected boolean canEqual(final Object other) {
        return other instanceof SnServerLogDto;
    }
    
    @Override
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $logId = this.getLogId();
        result = result * 59 + (($logId == null) ? 43 : $logId.hashCode());
        final Object $serverId = this.getServerId();
        result = result * 59 + (($serverId == null) ? 43 : $serverId.hashCode());
        final Object $status = this.getStatus();
        result = result * 59 + (($status == null) ? 43 : $status.hashCode());
        final Object $time = this.getTime();
        result = result * 59 + (($time == null) ? 43 : $time.hashCode());
        final Object $serverIp = this.getServerIp();
        result = result * 59 + (($serverIp == null) ? 43 : $serverIp.hashCode());
        final Object $optName = this.getOptName();
        result = result * 59 + (($optName == null) ? 43 : $optName.hashCode());
        return result;
    }
}
